PDA

View Full Version : [ubuntu] Installing Theme Engines



joshdudeha
May 18th, 2008, 06:35 PM
I really want to install some new theme engines.
Like Aurora and stuff.
But when I type ./configure in the terminal.
It outputs a load of stuff, until it gets to:

checking for GTK... no
configure: error: GTK+-2.10 is required to compile aurora


And I get this with every single engine I try to compile.
I thought ubuntu came with GTK+ on installation?
Can someone walk me through installing it please?

Thank you

---------
Josh

cb951303
May 18th, 2008, 06:36 PM
you need gtk dev packages ;) check synaptic

joshdudeha
May 18th, 2008, 06:39 PM
Ahh, I will try that
Thanks

joshdudeha
May 18th, 2008, 06:41 PM
Wait, where can I find it.
It doesn't have anything "gtk-dev-engines"

?

Thanks again

joshdudeha
May 18th, 2008, 07:08 PM
/Bump =/

joshdudeha
May 18th, 2008, 07:41 PM
Hey can someone please help
im going mad with all these clashing packages im trying

thanks
im off xx

cb951303
May 18th, 2008, 07:44 PM
sudo apt-get install libgtk2.0-dev

speedemonV12
May 19th, 2008, 10:04 PM
hey, i have done this, and i am still having problems installing aurora1.4

I install the dev package, then i run ./configure, and that works
then i run make, and that works,
then i run make install, and that does not work.. it get a permission error,
so just for the heck of it i ran sudo make install, and it said that it installed fine..
i check to see if it installed.. but nope.. didnt work... anything i can do ? I really want this engine!!!

chamberlain2006
May 19th, 2008, 10:27 PM
You need root permissions. Do this instead

sudo make install

SunnyRabbiera
May 19th, 2008, 10:49 PM
I think there is a debian installer for the aurora theme if I remember right, let me find it...

Edit:
yeh you can get the debian installer here:
look (http://software.opensuse.org/search?q=gtk2-engines-aurora&baseproject=ALL&p=1)

any of the .deb packages will probably do.

joshdudeha
May 21st, 2008, 04:35 PM
Thank you everyone so much.
Have got it working now

:]
I love this place